Bug 213074 - Allow guessing tags from filename for multiple files in track details dialog
Summary: Allow guessing tags from filename for multiple files in track details dialog
Status: REOPENED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.2.0
Platform: unspecified Linux
: VLO wishlist with 25 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-04 13:02 UTC by Michael Liddle
Modified: 2013-08-11 07:24 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Liddle 2009-11-04 13:02:08 UTC
Version:           2.2.0 (using 4.3.1 (KDE 4.3.1) "release 183", KDE:KDE4:Factory:Desktop / openSUSE_11.0)
Compiler:          gcc
OS:                Linux (i686) release 2.6.25.20-0.5-default

The current "Guess Tags From Filename" button in the "Track Details" dialog offers a very convenient function, for single tracks. However if one wishes to guess the tags for all the tracks in a single directory, say, then currently one must do this one track at a time (the "guess tags..." button is hidden unless "per-track" is checked).

It would be good if the the guessing function was available for multiple track selections also, allowing batch tagging from filenames.

Thanks.
Comment 1 thomas coopman 2009-11-20 15:13:28 UTC
I agree, especially because the items are not remembered.  So you have to set the items again per song.
Comment 2 Myriam Schweingruber 2010-08-01 11:19:01 UTC
Amarok is not a mass tagger, there are many applications out there that do this much better, so reinventing the wheel is not in our scope. Please use kid3, easytag or Picard.
Comment 3 Gyorgy Kapolnas 2011-04-13 15:59:53 UTC
Pretty strange attitude.
Amarok has a mass tagging feature which is completely useless(*) in it's current form. If Amarok does not want to help it's users with mass tagging functionality, than the "Guess Tags From Filename" should be removed.

(*): copy/pasting tag values from the filename field to the tag fields is much faster than setting up the GTFF for each file.
Comment 4 Matěj Laitl 2012-07-19 15:13:26 UTC
I wouldn't object including this in Amarok if somebody implemented it in a clean way.

Reporters, this doesn't mean that this will get fixed soon, it means that you can, if you want, try to implement that. On the other hand, other devs may have different opinion on whether "Guess Tags From Filename" should work on multiple files.
Comment 5 km 2013-02-24 11:03:31 UTC
I agree it would be nice to have this feature. Or please at least provide some integration with kid3. The button "Guess Tags From Filename" in the "Track Details" could be changed to "Open files in a tagging application", with the possibility to configure the app.
Comment 6 Anand 2013-08-11 05:40:28 UTC
I feel this is a very-nice- to-have feature and will be much useful to users. I am sure someone can come up with a simple and intuitive UI design to accommodate functionality with multiple tracks.
Comment 7 Mark Kretschmann 2013-08-11 07:24:32 UTC
@km: I don't think there is a practical cross-platform way to start a tagging application.